Subject: Re: bug#70141: 30.0.50; cl--class-allparents throws error for ebdb-field-pgp

From: Andrea Corallo <[email-masked]>
Date: Thu, 04 Apr 2024 04:05:12 -0400

Eric Abrahamsen <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Andrea Corallo <[email-masked]> writes:
>>
>>> Robert Pluim <[email-masked]> writes:
>>>
>>>> Just for fun I tried enabling the native compiler, and keep running
>>>> into the following error with my config (-Q is fine).
>>>>
>>>> Iʼve tried reinstalling key-chord and ebdb, but thatʼs made no difference.
>>>>
>>>> I know nothing about eieio, but the defclass for ebdb-field-pgp has a
>>>> superclass:
>>>>
>>>>     (defclass ebdb-field-pgp (ebdb-field-user)
>>>
>>> Hi Robert,
>>>
>>> could you provide a reproducer we can use to look into it?
>>>
>>> Thanks
>>>
>>>   Andrea
>>
>> We should not crash but that said thinking about it...  I don't think
>> the compiler should reason about classes at all, as they are redefinable
>> at runtime.  On the contrary structs are (at least in CL) considered not
>> re-definable at runtime so it's fine.
>
> Do you have an opinion about whether autoload cookies on defclass
> statements are a bad idea altogether?

I don't (ATM), why do you think it should be problematic?

  Andrea